Bug 166634 - MySQL not found when compiling PennMUSH 1.81
MySQL not found when compiling PennMUSH 1.81
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-08-23 23:00 EDT by Christoph Thompson
Modified: 2013-07-02 23:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-25 11:01:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christoph Thompson 2005-08-23 23:00:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 1.1.4322)

Description of problem:
When I gunzip and untar the source code and attempt to compile, it will state "You do not have mysql" when it attempts to locate the library files.  I have tried this multiple different ways, and it compiles fine on a Mandrake 10 box.  

mysqld is start, and a root password is set.

Version-Release number of selected component (if applicable):
Latest release of MySQL

How reproducible:

Steps to Reproduce:
1. Download pennmush-1.8.1 from www.pennmush.org
2. gunzip the file
3. tar xvf the file
4. cd pennmush
5. ./Configure -d

Actual Results:  The source code compiles, but when you scroll back in the output you see - 
"You do not have mysql"

The system refuses to find the library files even though it is working.

Expected Results:  "You have mysql"

Additional info:
Comment 1 Tom Lane 2005-08-23 23:30:45 EDT
Offhand it sounds like you don't have the mysql-devel RPM installed?
Comment 2 Christoph Thompson 2005-08-23 23:38:07 EDT
You know, as odd as that sounds...you might be right.  On the initial install of
Fedora FC4 I did select /all/ the MySQL packages, including the devel package. 
But when I do 'rpm -q mysql' I get this - 

[root@ ~]# rpm -q mysql
[root@ ~]# 

Any suggestions on how to automatically download and install the development
Comment 3 Tom Lane 2005-08-24 02:34:53 EDT
Well, it's been awhile since I installed Fedora from scratch, but I think there's a generic option along the 
lines of "install development support" that gets you the -devel RPMs for everything you install.

But the above rpm query proves little, because it will only show packages whose base name is exactly 
"mysql".  Try "rpm -qa | grep mysql"
Comment 4 Christoph Thompson 2005-08-24 20:15:39 EDT
Ok...ran that and this is what I got -

[root@wendy ~]# rpm -qa | grep mysql
[root@wendy ~]# 

Seems the development package may be installed.  Any chance it might not be
installed to a "non standard" location?
Comment 5 Tom Lane 2005-08-25 11:01:48 EDT
Well, that's certainly a full set of mysql-4.1 RPMs.  Let's see [ digs through
pennmush Configure script... ]  It looks to me like the problem is that they
neglected to add -L/usr/lib/mysql in the test program's link flags.  You could
supply that yourself where Configure asks you about linker flags.  If you think
pennmush ought to know about this by default, you should take it up with them.

Note You need to log in before you can comment on or make changes to this bug.